Announcement

Collapse
No announcement yet.

vBulletin 4.2.5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #31
    4.2.5 Alpha 3 released today.
    Baby, I was born this way

    Comment


    • #32
      Any full lists of changes in vBulletin 4.2.5 Alpha 3 in comparison to vBulletin 4.2.5 Alpha 2 posted that is currently available to have the opportunity to be viewed at the moment?
      Last edited by WriteToEnlight; Fri 23rd Sep '16, 7:18am.

      Comment


      • #33
        You can always check Jira.

        http://tracker.vbulletin.com/secure/...+ASC&mode=hide
        Baby, I was born this way

        Comment


        • #34
          Originally posted by Paul M View Post
          I would guess from the error that its simply because in php7, class constructors must be called "__construct" and not the actual class name.

          All the vB classes were updated in 4.2.5 to comply with this requirement.

          Line 14 is probably calling vB_HumanVerify_Abstract(<something>), rather than __construct(<something>).
          What's the interesting part (I know vB doesn't provide modification support) is that for us at least, we're running vBulletin 4.2.5 on PHP 5.6 still (our site isn't ready to transition to PHP 7 yet). It's quite odd for something that worked in PHP 5.5 to not work in PHP 5.6 (I can't think of a script which has ever had that problem).

          Out of curiosity, why doesn't vBulletin integrate reCAPTCHA 2?

          I am pretty certain this is standard now on at least XenForo. Honestly, I'm starting to lean more and more towards moving us to XenForo because it provides a more seamless experience. I don't expect that out of vBulletin 4 - I would out of vBulletin 5 but it doesn't however, what I would expect is that vBulletin 4 which is clearly still being supported (likely because a lot of boards are still sticking to 4 versus 5) to support modern functionality like reCAPTCHA 2 found on other forum software from free to paid as standard features.

          I don't know if you all are taking feature requests for vBulletin 4 still?

          Comment


          • #35
            No new features will be added to vBulletin 4. New features go into vBulletin 5.

            The new ReCaptcha has just been added to vB5.
            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.5.6 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #36
              There is a mod that bring Repatcha 2 to VB 4.x - http://www.vbulletin.org/forum/showthread.php?t=315960

              Comment


              • Joe D.
                Joe D. commented
                Editing a comment
                *But does not work with VB 4.2.5

            • #37
              Originally posted by Guardian Hope View Post
              What's the interesting part (I know vB doesn't provide modification support) is that for us at least, we're running vBulletin 4.2.5 on PHP 5.6 still (our site isn't ready to transition to PHP 7 yet). It's quite odd for something that worked in PHP 5.5 to not work in PHP 5.6 (I can't think of a script which has ever had that problem).
              I think you are getting confused somewhere. The mod is not compatible with vB 4.2.5 (because of the changes made for php 7).
              It doesnt matter if you are actually running 425 on php7 or 5.6 or 5.5, the changes have been made, so the mod wont run without itself being updated.


              Originally posted by Guardian Hope View Post
              I don't know if you all are taking feature requests for vBulletin 4 still?
              You can always request in Jira, items that require very little dev work are still possible.

              Baby, I was born this way

              Comment


              • #38
                I upgraded to vBulletin 4.2.5 Alpha 3 and my external php script failed to get the vbulletin object.

                PHP Code:
                    define('VB_AREA''External');
                    
                define('CWD',     $vb->path);

                    
                $dir getcwd();
                    
                chdir(CWD);

                    require_once(
                CWD "/includes/init.php"); 

                error.log message:

                [Wed Oct 05 11:07:28 2016] [error] [client IP] PHP Fatal error: Call to a member function clean_array_gpc() on a non-object in /var/www/vbulletin/includes/class_bootstrap.php on line 127, referer: http://www.internet.de/

                PHP Version is 5.5.30 (Debian). Vbulletin 4.2.1 was running without any problems.

                best regards

                Guido
                Last edited by Bere; Wed 5th Oct '16, 2:55am.

                Comment


                • #39
                  I ran into a second problem. After upgrading the forum i can't view any thread, there was an error with datastore cache (vb_datastore table) in the smiliecache line:

                  a:300:{i:372;a:8:{s:8:"smilieid";s:3:"372";s:5:"title";s:11:"Deutschland";s:10:"smilietext ";s:19:":torfürdeutschland:"

                  All smilietext fields were wrong (colon and quotes were twisted). I fixed this within tools.php and "Bitfiled Cache" update.

                  The upgrade seemed to finish without any problems. Maybe the upgrade routine still needs some polishing.

                  best regards

                  Guido
                  Last edited by Bere; Wed 5th Oct '16, 10:06am.

                  Comment


                  • #40
                    The upgrade process does not touch 'smiliecache', or indeed, that table.
                    Baby, I was born this way

                    Comment


                    • #41
                      I disabled the memcache datastore before the update, maybe it's an old error.

                      Do you have an idea regarding the external vbulletin object?

                      Comment


                      • #42
                        Any idea on when this release will be considered beta. I want to make sure it is safe for production.

                        Comment


                        • #43
                          The next release will be Beta 1, should be in the next 2/3 weeks.
                          Baby, I was born this way

                          Comment


                          • #44
                            Waiting for the beta so I can finally start using PHP 7 with vB4.

                            Webhostingtalk.nl :: For all your Dutch and European hosting quotes

                            The best and only hosting forum you need in Europe
                            You can ask your quotes and questions in English!

                            Comment


                            • #45
                              Fresh install of 4.2.5 alpha 3 on my new nginx/php7 server seems to work fine.

                              Moving my current forum over doesn't:


                              Code:
                              #1 : vbstop() called in ..../includes/class_core.php on line 5854
                              #2 : us_get_string() called in ..../includes/class_core.php on line 5724
                              #3 : us_get_value() called in ..../includes/class_core.php on line 5771
                              #4 : us_get_array() called in ..../includes/class_core.php on line 5720
                              #5 : us_get_value() called in ..../includes/class_core.php on line 5695
                              #6 : vb_unserialize() called in ..../includes/class_core.php on line 1582
                              #7 : vB_Datastore->register() called in ..../includes/class_core.php on line 1725
                              #8 : vB_Datastore->do_db_fetch() called in ..../includes/class_core.php on line 1694
                              #9 : vB_Datastore->fetch() called in ..../includes/init.php on line 238
                              #10 : require_once(..../includes/init.php) called in ..../includes/class_bootstrap.php on line 101
                              #11 : vB_Bootstrap->init() called in ..../includes/class_bootstrap.php on line 72
                              #12 : vB_Bootstrap->bootstrap() called in ..../global.php on line 26
                              #13 : require_once(..../global.php) called in ..../forum.php on line 67
                              
                              Expected " at position 17823 found .
                              Disabled hooks, same issue. Any ideas?
                              Last edited by sub_ubi; Sat 29th Oct '16, 10:57pm.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X